Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.operation
Interface PassThroughOperation

All Superinterfaces:
  CoordinateOperation, IdentifiedObject, SingleOperation

    @UML(identifier="CC_PassThroughOperation",
         specification=ISO_19111)
    public interface PassThroughOperation

extends SingleOperation

A pass-through operation specifies that a subset of a coordinate tuple is subject to a specific coordinate operation.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0

Field Summary

Fields inherited from interface CoordinateOperation
`COORDINATE_OPERATION_ACCURACY_KEY, DOMAIN_OF_VALIDITY_KEY, OPERATION_VERSION_KEY, POSITIONAL_ACCURACY_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`int[]` | `getModifiedCoordinates()` Ordered sequence of positive integers defining the positions in a coordinate tuple of the coordinates affected by this pass-through operation.
`Operation` | `getOperation()` Returns the operation to apply on the subset of a coordinate tuple.

Methods inherited from interface CoordinateOperation
`getCoordinateOperationAccuracy, getDomainOfValidity, getMathTransform, getOperationVersion, getPositionalAccuracy, getScope, getSourceCRS, getTargetCRS, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Method Detail

### getOperation

    @UML(identifier="usesOperation",
         obligation=MANDATORY,
         specification=ISO_19111)
    Operation getOperation()

  Returns the operation to apply on the subset of a coordinate tuple.

### getModifiedCoordinates

    @UML(identifier="modifiedCoordinate",
         obligation=MANDATORY,
         specification=ISO_19111)
    int[] getModifiedCoordinates()

  Ordered sequence of positive integers defining the positions in a coordinate tuple of the coordinates affected by this pass-through operation.

  Returns:
    The modified coordinates.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.